package com.cnd3b.common.parameter;

import com.alibaba.fastjson.JSONObject;
public class ErrModel {
	/**
	 * 请求正文不符合JSONObject格式要求
	 * 
	 * @return
	 */
	public static JSONObject request_BasicJsonFormat() {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("errcode", ErrCode.jsonFormatErr[0]);
		object.put("msg", ErrCode.jsonFormatErr[1]);
		return object;
	}

	/**
	 * 请求正文的content不符合JSONObject格式要求
	 * 
	 * @return
	 */
	public static JSONObject request_ContentJsonFormat() {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("errcode", ErrCode.jsonContentFormatErr[0]);
		object.put("msg", ErrCode.jsonContentFormatErr[1]);
		return object;
	}

	/**
	 * 请求正文没有必须的键值对
	 * 
	 * @param keyname
	 * @return
	 */
	public static JSONObject request_ContainsMustKey(String keyname) {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("errcode", ErrCode.doNotContainsKey[0]);
		object.put("msg", ErrCode.doNotContainsKey[1] + "'" + keyname + "'");
		return object;
	}

	/**
	 * 找不到或者执行正文时的方法错误
	 * 
	 * @param msg
	 * @return
	 */
	public static JSONObject request_GetClass(String msg) {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("errcode", ErrCode.getClassErr[0]);
		object.put("msg", ErrCode.getClassErr[1] + "'" + msg + "'");
		return object;
	}

	/**
	 * 用户名或密码错误导致的获取token失败
	 * 
	 * @return
	 */
	public static JSONObject getToken() {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("errcode", ErrCode.gettokenfail[0]);
		object.put("msg", ErrCode.gettokenfail[1]);

		return object;
	}

	/**
	 * 用户名或密码错误导致的获取token失败
	 * 
	 * @return
	 */
	public static JSONObject token_Validate() {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("errcode", ErrCode.tokenErr[0]);
		object.put("msg", ErrCode.tokenErr[1]);

		return object;
	}

	public static JSONObject defaultErr(String msg) {
		JSONObject object = new JSONObject();
		object.put("status", "error");
		object.put("msg", msg);
		return object;
	}
}
